Bug 134008 - gconf-editor painful to use when browsing Evolution's configuration information
Summary: gconf-editor painful to use when browsing Evolution's configuration information
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gconf-editor (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mark McLoughlin
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-28 22:39 UTC by Dave Malcolm
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 13:37:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Malcolm 2004-09-28 22:39:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
Evolution, bless its little soul, likes to store its configuration
information as lists of fairly substantial XML strings inside GConf
(see e.g. /apps/evolution/mail/accounts, and
/apps/evolution/mail/signatures.

Unfortunately when you try to edit these, the GtkEntry is about 100
pixels wide and is not resizeale, which is really painful when trying
to track doen evolution configuration issues.

I've got a patch which makes it use a GtkTextEntry widget

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run gconf-editor from an account where evolution is installed and
set up
2. Try to edit /apps/evolution/mail/accounts
3. Try to edit a UID attribute value deep inside one of the XML files
stored in the list
    

Actual Results:  Tiny, non-resizing GtkEntry widget that is really
hard to use

Expected Results:  Resizable, multiline, scrollable GtkTextEntry

Additional info:
Have filed upstream here:
http://bugzilla.gnome.org/show_bug.cgi?id=154012

Comment 1 Mark McLoughlin 2004-09-29 13:37:12 UTC
It didn't occur to you to fix Evolution to not store huge blobs of XML
in GConf ? :-))

I'd prefer not to backport arbitrary UI changes from HEAD unless they
really provide a big win. In this case, the I think the XML itself is
difficult enough to grok that making it physically easier to edit
won't actually help many people.

Closing as UPSTREAM. Thanks Dave.


Note You need to log in before you can comment on or make changes to this bug.